commit:     62084ca1165ac5491100f1833798d18c5d65cd2c
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 17 05:54:00 2021 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Wed Mar 17 07:56:34 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=62084ca1

app-emulation/conmon: Bump to version 2.0.27

Reported-by: Scott Howard <bugs <AT> scotthoward.xyz>
Closes: https://bugs.gentoo.org/776424
Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 app-emulation/conmon/Manifest             |  1 +
 app-emulation/conmon/conmon-2.0.27.ebuild | 48 +++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/app-emulation/conmon/Manifest b/app-emulation/conmon/Manifest
index a64b4fce7cd..f8329538e44 100644
--- a/app-emulation/conmon/Manifest
+++ b/app-emulation/conmon/Manifest
@@ -1,2 +1,3 @@
 DIST conmon-2.0.22.tar.gz 103371 BLAKE2B 
f509ba800c847886ec2350e141d2b965ff1cc09822467718fb0d94acdabdc86c6f40dff9428679e4c4171ac6a522b3ba7622d66ebd8108be1a68cbf7418d5c09
 SHA512 
819e1d9279c1a22388220d710b975cdeb3c0b56413afb177afe1c96b649e2dce496d5f51fe4094f572111f771102ccd0ae86f1776e99fedb2e76e6e9130c2d5c
 DIST conmon-2.0.26.tar.gz 104681 BLAKE2B 
fc8369258a414d3a169b64019199c604d1d8bded70d5a38230f243053dcf09c6f9aee931b328913e6cbbe3c495aab4894647897f40f537a79eb587ecee58517a
 SHA512 
5cbb66053fb48b514f93b3be4d4ac428f9eea8a3e1452b4df232250e9cd01202ecb7477c05e1e4dfb21595f2d1881be35cdea9b23f43c02bb7c0e67a3161396e
+DIST conmon-2.0.27.tar.gz 106647 BLAKE2B 
f242b1be4f86b18ca94dade3d1f5522d1ae1951f4b7abf7e563e1a93472c2a673cd48a136fdff12b410ebaa46694b70ffbf173fc37a3bbefb03891452c22dfae
 SHA512 
2bc389fa3963cbb612669ec1d288adc888d7ac1de2b9bf483f18e0f62220775327ebcb771bfa7236815ef7247adb8fc6b8ae38748f7a383ec9590e3ee5769b65

diff --git a/app-emulation/conmon/conmon-2.0.27.ebuild 
b/app-emulation/conmon/conmon-2.0.27.ebuild
new file mode 100644
index 00000000000..8922d84fc48
--- /dev/null
+++ b/app-emulation/conmon/conmon-2.0.27.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="An OCI container runtime monitor"
+HOMEPAGE="https://github.com/containers/conmon";
+SRC_URI="https://github.com/containers/conmon/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+IUSE="systemd"
+RESTRICT="test"
+
+RDEPEND="dev-libs/glib:=
+       systemd? ( sys-apps/systemd:= )"
+DEPEND="${RDEPEND}
+       dev-go/go-md2man"
+
+src_prepare() {
+       default
+
+       if ! use systemd; then
+               sed -e 's| $(PKG_CONFIG) --exists libsystemd-journal | false |' 
\
+                       -e 's| $(PKG_CONFIG) --exists libsystemd | false |' \
+                       -i Makefile || die
+       fi
+       sed -e 's|make -C tools|$(MAKE) -C tools|' -i Makefile || die
+       sed -e 's|^GOMD2MAN = .*|GOMD2MAN = go-md2man|' -i docs/Makefile || die
+}
+
+src_compile() {
+       tc-export CC
+       emake GIT_COMMIT="v${PV}" \
+               all
+}
+
+src_install() {
+       emake DESTDIR="${D}" \
+               PREFIX="/usr" \
+               install
+       dodir /usr/libexec/podman
+       ln "${ED}/usr/"{bin,libexec/podman}/conmon || die
+       dodoc README.md
+}

Reply via email to